# Class EMEKeyStatusesChangedEvent

#### Hierarchy (view full)

- BasePlayerEvent
  - EMEKeyStatusesChangedEvent

#####
Index

### Constructors

constructor

### Properties

keyStatusesMap
type

## Constructors

### constructor

- new EMEKeyStatusesChangedEvent(keyStatusesMap): EMEKeyStatusesChangedEvent

- #### Parameters

  - keyStatusesMap: MediaKeyStatusMap

  #### Returns EMEKeyStatusesChangedEvent

  Overrides BasePlayerEvent.constructor

## Properties

### `Readonly` keyStatusesMap

keyStatusesMap: MediaKeyStatusMap

### `Readonly` type

type: "emeKeyStatusesChanged" = Events.EMEKeyStatusesChanged

Overrides BasePlayerEvent.type